package org.jeecg.modules.api.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class CommonUtils {

    //获取当前时间
    public static Date getCurrentTime(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date now = new Date();
        String formattedDate = sdf.format(now);
//        System.out.println(now); // 输出格式化后的当前时间
//        System.out.println(formattedDate); // 输出格式化后的当前时间
        return now;
    }

    //获取延长时间
    public static Date getValidTime(Date oldTime, int month){
        // 创建Calendar实例
        Calendar cal = Calendar.getInstance();
        cal.setTime(oldTime); // 设置当前时间

        // 在当前时间基础上加n个月
        cal.add(Calendar.MONTH, month);
        Date newTime = cal.getTime();
        return newTime;
    }

    public static void main(String[] args) {
        System.out.println(getValidTime(getCurrentTime(), 3));
    }

}
